package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("通知设置详情Vo")
public class SettingNoticeDetailVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("场景名称")
   private String name;
   @ApiModelProperty("通知类型: [1=业务, 2=验证]")
   private String type;
   @ApiModelProperty("场景描述")
   private String remarks;
   @ApiModelProperty("系统的通知设置")
   private Object systemNotice;
   @ApiModelProperty("公众号通知设置")
   private Object oaNotice;
   @ApiModelProperty("小程序通知设置")
   private Object mnpNotice;
   @ApiModelProperty("短信的通知设置")
   private Object smsNotice;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getType() {
      return this.type;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public Object getSystemNotice() {
      return this.systemNotice;
   }

   public Object getOaNotice() {
      return this.oaNotice;
   }

   public Object getMnpNotice() {
      return this.mnpNotice;
   }

   public Object getSmsNotice() {
      return this.smsNotice;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public void setSystemNotice(Object systemNotice) {
      this.systemNotice = systemNotice;
   }

   public void setOaNotice(Object oaNotice) {
      this.oaNotice = oaNotice;
   }

   public void setMnpNotice(Object mnpNotice) {
      this.mnpNotice = mnpNotice;
   }

   public void setSmsNotice(Object smsNotice) {
      this.smsNotice = smsNotice;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingNoticeDetailVo)) {
         return false;
      } else {
         SettingNoticeDetailVo other = (SettingNoticeDetailVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            label86: {
               Object this$remarks = this.getRemarks();
               Object other$remarks = other.getRemarks();
               if (this$remarks == null) {
                  if (other$remarks == null) {
                     break label86;
                  }
               } else if (this$remarks.equals(other$remarks)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$systemNotice = this.getSystemNotice();
               Object other$systemNotice = other.getSystemNotice();
               if (this$systemNotice == null) {
                  if (other$systemNotice == null) {
                     break label79;
                  }
               } else if (this$systemNotice.equals(other$systemNotice)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$oaNotice = this.getOaNotice();
               Object other$oaNotice = other.getOaNotice();
               if (this$oaNotice == null) {
                  if (other$oaNotice == null) {
                     break label72;
                  }
               } else if (this$oaNotice.equals(other$oaNotice)) {
                  break label72;
               }

               return false;
            }

            Object this$mnpNotice = this.getMnpNotice();
            Object other$mnpNotice = other.getMnpNotice();
            if (this$mnpNotice == null) {
               if (other$mnpNotice != null) {
                  return false;
               }
            } else if (!this$mnpNotice.equals(other$mnpNotice)) {
               return false;
            }

            Object this$smsNotice = this.getSmsNotice();
            Object other$smsNotice = other.getSmsNotice();
            if (this$smsNotice == null) {
               if (other$smsNotice != null) {
                  return false;
               }
            } else if (!this$smsNotice.equals(other$smsNotice)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingNoticeDetailVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $remarks = this.getRemarks();
      result = result * 59 + ($remarks == null ? 43 : $remarks.hashCode());
      Object $systemNotice = this.getSystemNotice();
      result = result * 59 + ($systemNotice == null ? 43 : $systemNotice.hashCode());
      Object $oaNotice = this.getOaNotice();
      result = result * 59 + ($oaNotice == null ? 43 : $oaNotice.hashCode());
      Object $mnpNotice = this.getMnpNotice();
      result = result * 59 + ($mnpNotice == null ? 43 : $mnpNotice.hashCode());
      Object $smsNotice = this.getSmsNotice();
      result = result * 59 + ($smsNotice == null ? 43 : $smsNotice.hashCode());
      return result;
   }

   public String toString() {
      return "SettingNoticeDetailVo(id=" + this.getId() + ", name=" + this.getName() + ", type=" + this.getType() + ", remarks=" + this.getRemarks() + ", systemNotice=" + this.getSystemNotice() + ", oaNotice=" + this.getOaNotice() + ", mnpNotice=" + this.getMnpNotice() + ", smsNotice=" + this.getSmsNotice() + ")";
   }
}
